'use strict';

document.addEventListener('DOMContentLoaded', function() {
	const rss_feeds = document.querySelectorAll('.wprss_ajax');

	rss_feeds.forEach(function(rss_feed) {
		const feed_settings = window[rss_feed.dataset.id];

		rss_retriever_fetch_feed(feed_settings)
		  	.then(data => {
		    	rss_feed.innerHTML = data;
		  	})
		  	.catch(error => {
		    	console.log(error);
		  	});
	});

	function rss_retriever_fetch_feed(feed_settings) {
	  return new Promise((resolve, reject) => {
	    jQuery.ajax({
			type: "post",
			dataType: "json",
			url: rss_retriever.ajax_url,
			data: {'action':'rss_retriever_ajax_request', 'settings' : feed_settings},
	      success: function(data) {
	        resolve(data);
	      },
	      error: function(error) {
	        reject(error);
	      },
	    })
	  })
	};
});
